#ifndef __SC100_H
#define __SC100_H

#ifndef __APPLICAT_H
#include <applicat.h>
#endif

#ifndef __SALDACON_H
#include "../cg/saldacon.h"
#endif

#ifndef __MASK_H
class TMask;
#endif

class TSaldaconto_app : public TApplication
{                     
  TMask* _msk;        
  TArray _file;
  
  TPartite_array _partite;
          
protected:  // TApplication
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG tag);
  virtual void on_config_change();
  
protected:
  void open_files(int logicnum, ...);
  void close_files() { _file.destroy(); }
  
  void edit_partite(const TMask& m);
  
public:       
  TMask& curr_mask() { return *_msk; }
  TPartite_array& partite() { return _partite; }

  TSaldaconto_app() : _file(32) {} 
  virtual ~TSaldaconto_app() {}
};

inline TSaldaconto_app& app() { return (TSaldaconto_app&)main_app(); }

#endif               
